Bug 140320 - iiimf eats European dead keys when disactivated (non GTK apps)
iiimf eats European dead keys when disactivated (non GTK apps)
Product: Fedora
Classification: Fedora
Component: iiimf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: i18n
Depends On:
  Show dependency treegraph
Reported: 2004-11-22 05:58 EST by Mark Polo
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-29 01:23:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Polo 2004-11-22 05:58:12 EST
Description of problem:
After installing unitle, I can get European dead keys to work
perfectly in GTK-aware apps, including Mozilla. However, in the
terminal, or in wine applications, not only does the im window not
come up (the applet shows a blank method), the dead keys still don't
work. The ideal (at least for me) would be that in "blank mode" gimlet
doesn't do anything to the dead keys, allowing the normal input to

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start a terminal or other non-GTK app.
2. Hit a dead key followed by a letter
Actual results:
Only the letter appears

Expected results:
Letter appears with accent

Additional info:
Comment 1 Mark Polo 2004-12-14 05:22:14 EST
Actually, things do seem to work in a terminal... The problem is that
gimlet defaults to "default" and not to "unitle". It would be nice to
be able to set this... 
Comment 2 Akira TAGOH 2005-04-18 05:04:08 EDT
Well, you mean a dead key works with/without activating LE when you switched to
UNIT, right? and what locale are you using?
Comment 3 Akira TAGOH 2005-07-25 03:28:15 EDT
Well, sorry, how does XKB works on X applications for you? when I tried the dead
key stuff on kedit with XMODIFIERS=@im=none say -- I did setxkbmap -layout de --
and when I press Alt_R + @ on my Japanese keyboard, it shows a diaeresis
immediately, and even if I press an 'a' after that, it just shows an 'a', but
not an ä. am I missing something else to use the dead key?
Comment 4 A S Alam 2006-09-04 03:11:13 EDT
with using scim in rawhide, no such problem exist
Comment 5 Akira TAGOH 2006-09-29 01:23:26 EDT
This bug is outdated and we do not have times to fix this so far. please contact
upstream directly if you really need to get this fix. thanks.

Note You need to log in before you can comment on or make changes to this bug.